Page MenuHomePhabricator

RegexBlock should use HTMLForm and be displayed in OOUI
Closed, ResolvedPublic

Description

It's currently using handwritten HTML via a table, it should be replaced with HTMLForm.

https://www.mediawiki.org/wiki/HTMLForm#Display_formats

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2016, 2:58 AM
ashley added a comment.Dec 4 2016, 9:58 PM

As of gerrit changeset #325151 (RegexBlock version 1.4) RegexBlock uses HTMLForm. OOJS-UI stuff is yet to be done; unless someone volunteers for this, I'll just copy the appropriate code from core Special:Block once it has been updated to use OOJS-UI.

Volker_E renamed this task from RegexBlock should use HTMLForm and be displayed in OOJS-UI to RegexBlock should use HTMLForm and be displayed in OOUI.Apr 10 2018, 7:50 PM

Change 494997 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/RegexBlock@master] Convert Special:RegexBlock to OOUI

https://gerrit.wikimedia.org/r/494997

Change 494997 merged by jenkins-bot:
[mediawiki/extensions/RegexBlock@master] Convert Special:RegexBlock to OOUI

https://gerrit.wikimedia.org/r/494997

ashley closed this task as Resolved.Mar 7 2019, 8:24 PM
ashley removed a project: Patch-For-Review.
ashley removed a subscriber: gerritbot.